JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class NTSecApi.LSA_FOREST_TRUST_RECORD.UNION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD.UNION

Direct Known Subclasses:
  NTSecApi.LSA_FOREST_TRUST_RECORD.UNION.ByReference

Enclosing class:
  NTSecApi.LSA_FOREST_TRUST_RECORD

    public static class NTSecApi.LSA_FOREST_TRUST_RECORD.UNION

extends Union

Nested Class Summary
`static class` `NTSecApi.LSA_FOREST_TRUST_RECORD.UNION.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`NTSecApi.LSA_FOREST_TRUST_BINARY_DATA` `Data`
`NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO` `DomainInfo`
`NTSecApi.LSA_UNICODE_STRING` `TopLevelName`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`NTSecApi.LSA_FOREST_TRUST_RECORD.UNION()`

Method Summary

Methods inherited from class com.sun.jna.Union
`getFieldOrder, getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TopLevelName

    public NTSecApi.LSA_UNICODE_STRING TopLevelName

### DomainInfo

    public NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO DomainInfo

### Data

    public NTSecApi.LSA_FOREST_TRUST_BINARY_DATA Data

Constructor Detail

### NTSecApi.LSA_FOREST_TRUST_RECORD.UNION

    public NTSecApi.LSA_FOREST_TRUST_RECORD.UNION()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.